groovy.util

## Class ObservableList.ElementEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableList.ElementEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ObservableList.ElementAddedEvent, ObservableList.ElementClearedEvent, ObservableList.ElementRemovedEvent, ObservableList.ElementUpdatedEvent, ObservableList.MultiElementAddedEvent, ObservableList.MultiElementRemovedEvent

Enclosing class:
  ObservableList

    public abstract static class ObservableList.ElementEvent
    extends PropertyChangeEvent

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `ADDED`
`static int` `CLEARED`
`static int` `MULTI_ADD`
`static int` `MULTI_REMOVE`
`protected static Object` `NEWVALUE`
`protected static Object` `OLDVALUE`
`static int` `REMOVED`
`static int` `UPDATED`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ObservableList.ElementEvent(Object source, Object oldValue, Object newValue, int index, int type)`

### Method Summary

Methods
`int` `getIndex()`
`int` `getType()`
`String` `getTypeAsString()`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ADDED

    public static final int ADDED

See Also:
  Constant Field Values

#### UPDATED

    public static final int UPDATED

See Also:
  Constant Field Values

#### REMOVED

    public static final int REMOVED

See Also:
  Constant Field Values

#### CLEARED

    public static final int CLEARED

See Also:
  Constant Field Values

#### MULTI_ADD

    public static final int MULTI_ADD

See Also:
  Constant Field Values

#### MULTI_REMOVE

    public static final int MULTI_REMOVE

See Also:
  Constant Field Values

#### OLDVALUE

    protected static final Object OLDVALUE

#### NEWVALUE

    protected static final Object NEWVALUE

### Constructor Detail

#### ObservableList.ElementEvent

    public ObservableList.ElementEvent(Object source,
                               Object oldValue,
                               Object newValue,
                               int index,
                               int type)

### Method Detail

#### getIndex

    public int getIndex()

#### getType

    public int getType()

#### getTypeAsString

    public String getTypeAsString()